{% set CodiceModulo = "DATA_BREACH" %}
{% set Urn = "document:c_a794:segnalazione.data.breach;segnalazione" %}
{% set Urn_procedimento = "" %}
{% extends "base.html" %}

{% block meta %}



<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il dichiarante"
classi_modulo="Generale"
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Segnalazione Data Breach"
destinatario_amministrazione=""
destinatario_ufficio="UOLAVORO"
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="SI"
firmare="AUTENTICATO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
verifica_pagamento="NO"
versione="1.0|21/03/2024"/>

<meta codice_modulo_figlio="Incarico_procura"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>


<meta codice_allegato="DAE-CDI"
urn_allegato="document:s_italia:generale;documento.identita;documentazione"
descrizione_estesa="Documento di identità"
filename="Documento identita"
firmato="NO"
name="GLOBO_allegato"
numero="1"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>


{% endblock meta %}

{% block title %}
 Segnalazione evento data breach
{% endblock title %}

{% block content %}

<!--    INSERIRE QUA JAVASCRIPT -->
<script>

  var statoPrecedente = [];

  //var inputID = document.querySelector("#div-1 input");

//FUNZIONE PER VERIFICARE IL COMPLETO CARICAMENTO DEL DOM
//AL CARICAMENTO CARICA POI LA FUNZIONE fn (che gli viene passata quando richiamo la funzione docReady)
function docReady(fn) {
  // DOM available?? 
  if (document.readyState === "complete" || document.readyState === "interactive") {
      setTimeout(fn, 1);
  } else {
      document.addEventListener("DOMContentLoaded", fn);
  }
}    

// RICHIAMO LA FUNZIONE docReady e gli passo la funzione da eseguire al caricamente del DOM 
docReady(function() {
    // DOM Caricato

  // inserisco ciclo che gli elementi con la classe ElementToHide  
  var ElementsToHide = document.getElementsByClassName("ElementToHide");
  // ciclo gli elementi ElementToHide
  var i;
  for (i = 0; i < ElementsToHide.length; i++) {
    var x = ElementsToHide[i].firstElementChild.value.split('&',2);
    if (x[0] == 'checkbox')
    {
        // Per ogni elemento individuo verifico se il primo figlio ha un valore per capire se è già stato valorizzato
        if (document.getElementById(x[1]).checked)
        {
          // se c'è un valore diverso da vuoto o - (per le select) MOSTRO il DIV e il suo contenuto 
          ElementsToHide[i].style.display="";
        }
        else{
          // Nascondo il campo dalla visualizzazione in modo che non sia visibile all'utente 
          ElementsToHide[i].style.display="none";
        } 
    }
    else if (x[0] == 'select')
    {
      // Per ogni elemento individuo verifico se il primo figlio ha un valore per capire se è già stato valorizzato
        if (document.getElementById(x[1]).value != '')
        {
          // se c'è un valore diverso da vuoto o - (per le select) MOSTRO il DIV e il suo contenuto 
          ElementsToHide[i].style.display="";
        }
        else{
          // Nascondo il campo dalla visualizzazione in modo che non sia visibile all'utente 
          ElementsToHide[i].style.display="none";
        }
    }
                    
  }                       

});

  // FUNZIONE PER MOSTRARE i campi nascosti devo passare due valori 
  // 1.Riferimento all'elemento che fa scattare la visualizzazione (triggerEl)
  // 2.Riferimento alla classe degli elementi che dovranno essere mostrati in caso di attivazione
  // ho inserito la classe e non l'id per gestire più contenuti legati ad una singola selezione 
  function mostraCampi(triggerEl,classToShow){
    if(triggerEl.checked) {
      ElList = document.getElementsByClassName(classToShow);
      for (El of ElList) {
        El.style.display="";
        //El.style.setProperty('pd4ml-display',"");
      }
    }else{
      ElList = document.getElementsByClassName(classToShow);
      for (El of ElList) {
        El.style.display="none";
        //El.style.setProperty('pd4ml-display',"none");
      }
    }
  } 
</script>

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - Segnalazione data breach'"/>

<div class="container border-bottom" style="border-radius: unset;z-index: -1;">
  <div class="form-row">
    <div class="form-group col-lg-3 text-center">
      <img alt="Ente" src="./appoggio/img/StemmaComune.png">
    </div>
    <div class="form-group col-lg-5 text-center mb-0">
      <div class="heading">
        <label for="Ente"> Al comune di </label>
        <div class="space-0"></div>
        <input class="form-control" style="background-color: white;" id="Ente" name="Ente" readonly disabled>
      </div>
      <div class="heading">
        <label for="UfficioDestinatario"> Ufficio destinatario </label>
        <div class="space-0"></div>
        <input class="form-control" style="background-color: white;" id="UfficioDestinatario" name="UfficioDestinatario" dynamic_value="#Parametri_UfficioDestinatario.value() ? get_ufficio_dest() : get_ufficio_dest()" readonly disabled>
      </div>
    </div>
    <div class="form-group col-lg-4 text-center">
      <div class="heading">
       
      </div>
    </div>
  </div>
</div>
   
<div class="space-1"></div>

<div class="container">
  <div class="title-1"> 
    Segnalazione data breach 
  </div>
</div>




<div class="space-1"></div>
<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Titolare", 
                              intestazione="Il/La sottoscritto/a", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="visibility:visibility", 
                              visibility_mail="mail_ordinaria", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              campi_readonly="readonly", 
                              mailordinaria_obbligatoria="true", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility")}}


   <!--Documenti identità
 <div class="form-row">
    <div class="form-group col-lg-3">
      <label for="Titolare_NumIdentità"> Numero carta di identità </label>
      <input class="form-control" id="Titolare_NumIdentità" name="Titolare_NumIdentità" mandatory="true" label="Numero carta identità"/>
    </div>
    <div class="form-group col-lg-3">
      <label for="Titolare_DataRilCarIde"> Data rilascio carta identità </label>
      <input class="form-control" id="Titolare_DataRilCarIde" name="Titolare_DataRilCarIde" mandatory="true" format="date" label="Data rilascio carta identità"/>
    </div>
    <div class="form-group col-lg-3">
      <label for="Titolare_DataCarIde"> Data scadenza carta identità </label>
      <input class="form-control" id="Titolare_DataCarIde" name="Titolare_DataCarIde" mandatory="true" format="date" label="Data scadenza carta identità"/>
    </div>
    <div class="form-group col-lg-3">
      <label for="Titolare_EnteRilascio"> Rilasciata da </label>
      <input class="form-control" id="Titolare_EnteRilascio" name="Titolare_EnteRilascio"  mandatory="true" label="Ente rilascio documento di identità"/>          
    </div>
  </div>
  -->
  <div class="container">
    <div class="form-row">
      <div class="col-lg-12">
        <span class="title">Dipendente Comune di Bergamo</span>
      </div>
    </div>
    <div id="Tassonomia_Dipendente" name="Tassonomia_Dipendente" label="Dipendente" mandatory="true"></div>
    <div class="form-check indent-1">

      <input class="form-check-input" id="Tassonomia_Dipendente1" name="Tassonomia_Dipendente" type="radio"  value="sì">
      <label class="form-check-label" for="Tassonomia_Dipendente1">dipendente del Comune di Bergamo  </label>
  </div>
  <div class="form-check indent-1">

    <input class="form-check-input" id="Tassonomia_Dipendente2" name="Tassonomia_Dipendente" type="radio"  value="no">
    <label class="form-check-label" for="Tassonomia_Dipendente2">non dipendente del Comune di Bergamo  </label>
  </div>
</div>
<div class="space-1"></div>
<div class="container">
  <div class="paragraph"> presso: 
  </div> 
</div>
<div rest-name="/REST/Direzioni_nosuburn" rest-type="select" rest-param-out="Parametri_Direzione" rest-on="#ButtonDirezioni:click" rest-allow-edit="true"/> 
<input id="ButtonDirezioni" name="ButtonDirezioni" style="display:none" type="button"/>
<div class="space-1"></div>
<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> Direzione/Servizio</span>
    </div>
  </div>

  <div class="form-row">
    <div class="form-group col-lg-7">
    <label for="Parametri_Direzione"> Direzione </label>

    <select class="form-control custom-select" name="Parametri_Direzione" id="Parametri_Direzione" label="Direzione" mandatory_enabled="#Tassonomia_Dipendente1.checked()" onchange="#Parametri_Direzione.value()"></select>
    </div>
  
    <div class="form-group col-lg-5">
    <label for="Parametri_Servizio"> Servizio </label>
    <input class="form-control" id="Parametri_Servizio" name="Parametri_Servizio" enabled="#Tassonomia_Dipendente1.checked()">
    </div>
  </div>
</div>
   
<div class="space-1"></div>

<div class="container">
  <div class="form-row">
    <div class="col-lg-12">
    <div class="title-3"> SEGNALA </div> 
</div>
</div>
</div>
<div class="space-1"></div>

<div class="container">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="paragraph"> il seguente evento di data breach</span>
    </div>
  </div>
  </div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title">Evento</span>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-12">
        <label for="Tassonomia_DescrizioneEvento"> Descrizione violazione </label>
        <textarea class="form-control" id="Tassonomia_DescrizioneEvento" name="Tassonomia_DescrizioneEvento" mandatory="true"></textarea>
    </div>  
  </div>
  <div class="form-row">
        <div class="form-group col-lg-6">
            <label for="Tassonomia_DataEvento"> rilevata il </label>
            <input class="form-control" id="Tassonomia_DataEvento" name="Tassonomia_DataEvento" format="date" mandatory="true"/>
        </div>  
        <div class="form-group col-lg-6">
            <label for="Tassonomia_OraEvento"> ora </label>
            <input class="form-control" id="Tassonomia_OraEvento" name="Tassonomia_OraEvento" format="time" mandatory="true"/>
        </div>  
  </div>
</div>
<div class="container border bg-light">
    <div class="form-row">
      <div class="col-lg-12">
        <span class="title">Stato evento</span>
      </div>
    </div>
    <div id="Tassonomia_InizioEvento" name="Tassonomia_InizioEvento" label="Inizio evento" mandatory="true"></div>
    <div class="form-check indent-1">

        <input class="form-check-input" id="Tassonomia_InizioEvento1" name="Tassonomia_InizioEvento" type="radio"  value="sì">
        <label class="form-check-label" for="Tassonomia_InizioEvento1">l'evento ha avuto inizio presumibilmente in data <input id="Tassonomia_Datapresuta" name="Tassonomia_Datapresuta" mandatory_enabled="#Tassonomia_InizioEvento1.checked()"/> </label>
    </div>
    <div class="form-check indent-1">

        <input class="form-check-input" id="Tassonomia_InizioEvento2" name="Tassonomia_InizioEvento" type="radio"  value="no">
        <label class="form-check-label" for="Tassonomia_InizioEvento2">non sono in grado di dire quando l'evento ha avuto inizio </label>
    </div>
   <div id="Tassonomia_EventoCessato" name="Tassonomia_EventoCessato" label="Evento cessato" mandatory="true"></div>
   <div class="form-check indent-1">

    <input class="form-check-input" id="Tassonomia_EventoCessato1" name="Tassonomia_EventoCessato" type="radio"  value="cessato">
    <label class="form-check-label" for="Tassonomia_EventoCessato1">l'evento è cessato </label>
   </div>
    <div class="form-check indent-1">

        <input class="form-check-input" id="Tassonomia_EventoCessato2" name="Tassonomia_EventoCessato" type="radio"  value="corso">
        <label class="form-check-label" for="Tassonomia_EventoCessato2">l'evento è tuttora in corso </label>
    </div>
  
</div>
<div class="container border bg-light">
    <div class="form-row">
      <div class="col-lg-12">
        <span class="title">Natura dati personali coinvolti</span>
      </div>
    </div>     
    <div id="GruppoDati" name="GruppoDati" label="Dati coinvolti" mandatory="true"></div>
    {% set dati = ["Dati personali anagrafici e identificativi <i>(es. indirizzo di residenza, email, foto e video)</i>",
    "Dati personali finanziari <i> (es. dati di retribuzione, IBAN o altri dati bancari)</i>",
    "Dati sensibili di tipo medicale e/o relativi alla salute",
    "Dati sensibili inerenti orientamento sessuale, idee politiche o religiose",
    "Dati giudiziari",
    "Altro <i>(Specificare)</i> <input id='Tassonomia_Natura_Altro' name='Tassonomia_Natura_Altro' label='natura dati specificare'/>"] %}
{% for i in dati %}

<div class="form-check indent-1">

<input class="form-check-input" group="GruppoDati" id="dati{{ loop.index }}" name="dati{{ loop.index }}" type="checkbox" value="sì">
<label class="form-check-label" for="dati{{ loop.index }}">{{ i }}  </label>

</div>
{% endfor %}

</div>   

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title">Tipo di violazione</span>
    </div>
  </div>     
  <div id="GruppoViolazione" name="GruppoViolazione" label="Tipo di violazione" mandatory="true"></div>

  {% set violazione = ["Lettura dei dati <i>(si presume che i dati non siano stati copiati)</i>",
  "Copia dei dati <i> (i dati sono ancora nella disponibilità del titolare dei dati)</i>",
  "Alterazione <i> (i dati sono presenti nel sistema del titolare ma sono alterati)</i>",
  "Cancellazione <i> (i dati non sono più nella disponibilità del titolare nè dell'autore della violazione)</i>",
  "Furto <i> (i dati non sono più nella disponibilità del titolare si presumono nella disponibilità dell'autore del furto)</i>",
  "Altro <i>(Specificare)</i> <input id='Tassonomia_TipoViolazione' name='Tassonomia_TipoViolazione' label='tipo violazione specificare'/>"] %}
{% for i in violazione %}

<div class="form-check indent-1">

<input class="form-check-input" group="GruppoViolazione" id="violazione{{ loop.index }}" name="violazione{{ loop.index }}" type="checkbox" value="sì">
<label class="form-check-label" for="violazione{{ loop.index }}">{{ i }}  </label>

</div>
{% endfor %}

</div>   
<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title">Dispositivi o software oggetto dell'incidente</span>
    </div>
  </div>    
  <div id="GruppoDispositivi" name="GruppoDispositivi" label="dispositivi o software" mandatory="true"></div>
 
  {% set dispositivi = ["Computer <i>(file system, cartelle personali)</i>",
  "Smartphone o tablet",
  "Documenti cartacei",
  "Account sociali o sito internet",
  "Software"
 ] %}
{% for i in dispositivi %}

<div class="form-check indent-1">

<input class="form-check-input" group="GruppoDispositivi" id="dispositivi{{ loop.index }}" name="dispositivi{{ loop.index }}" type="checkbox" value="sì">
<label class="form-check-label" for="dispositivi{{ loop.index }}">{{ i }}  </label>

</div>
{% endfor %}
<div class="form-row">
  <div class="form-group col-lg-12">
    <span style="paragraph"><i>(Inserire i dati relativi i software e i dispositivi coinvolti, quali nomi dei dispositivi, nome del software, indirizzo del sito internet, posto in cui sono collocati, ecc.)</i></span>
      <label for="Tassonomia_DescrizioneSistemi"> Descrizione e ubicazione dei sistemi coinvolti nell'incidente segnalato </label>

      <textarea class="form-control" id="Tassonomia_DescrizioneSistemi" name="Tassonomia_DescrizioneSistemi" mandatory="true"></textarea>
  </div>  
</div>   
</div>
<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title">Numero di persone coinvolte e livello di gravità della violazione</span><br>
      <span class="paragraph"><i>(Inserire il numero delle persone a cui sono stati violati i dati o hanno avuto danni dalla violazione dei dati e selezionare il livello presunto di gravità della violazione)</i></span>
    </div>
  </div>     
  <div class="form-row">
    <div class="form-group col-lg-2">
      <label for="Tassonomia_NumeroPersone"> Numero persone </label>
        <input class="form-control" id="Tassonomia_NumeroPersone" name="Tassonomia_NumeroPersone" format="number" mandatory="true"/>
    </div>
    <div class="form-group col-lg-8">
      <label for="Tassonomia_Livellogravita"> Livello gravità </label>
        <select class="form-control custom-select" id="Tassonomia_Livellogravita" name="Tassonomia_Livellogravita" mandatory="true">
          <option value="basso">basso</option>
          <option value="medio">medio</option>
          <option value="alto">alto</option>
          <option value="altissimo">Molto alto</option>
        </select>
    </div>
</div>
</div>
<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title">Misure preventive e successive all'incidente</span><br>
      <span class="paragraph"><i>(Indicare le misure tecniche ed organizzative applicate in precedenza ai dati oggetto di violazione e quelle assunte successivamente alla violazione)</i></span>
    </div>
  </div>     
  <div class="form-row">
    <div class="form-group col-lg-12">
      
        <label for="Tassonomia_Misurepre"> Misure preventive </label>
  
        <textarea class="form-control" id="Tassonomia_Misurepre" name="Tassonomia_Misurepre" mandatory="true"></textarea>
    </div>  
  </div>   
  <div class="form-row">
    <div class="form-group col-lg-12">
      
        <label for="Tassonomia_Misurepost"> Misure adottate </label>
  
        <textarea class="form-control" id="Tassonomia_Misurepost" name="Tassonomia_Misurepost" mandatory="true"></textarea>
    </div>  
  </div>   
</div>
<div class="space-1"></div>

<div class="container border bg-light"> 
<div class="form-row">
    <div class="col-lg-12">
      <span class="title">Eventuali Annotazioni</span>
    
      <textarea class="form-control" id="Tassonomia_Annotazioni" name="Tassonomia_Annotazioni"></textarea>
    </div>  
  </div>
</div>
<div class="space-1"></div>
<div class="container border bg-light">
  <!-- titoletto -->
  <div class="form-row border-bottom mb-3">
    <div class="col-lg-11 text-center">
      <div class="text-center" style="font-weight: bold;">
        Elenco degli allegati <br>
        <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
      </div>
    </div>
  </div>

  
  <div class="form-check indent-1">
    <input class="form-check-input" type="checkbox" id="DAE-CDI" name="DAE-CDI" value="OBBLIGATORIO"> 
    <label class="form-check-label" for="DAE-CDI"> copia del documento d'identità  <i>(da allegare se il modulo è stato compilato con il supporto dell'assistenza remota) </i></label>
  </div>
  
  
</div>

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row border-bottom mb-3">
    <div class="col-lg-12 text-center">
      <div class="text-center" style="font-weight: bold;">
        Informativa sul trattamento dei dati personali <br>
        <span class="infoes"> (ai sensi del Regolamento Comunitario 27/04/2016, n. 2016/679 e del Decreto Legislativo 30/06/2003, n. 196) </span>
      </div>
    </div>
  </div>
  <div id="Consenso_trattamento_dati_personali_group" name="Consenso_trattamento_dati_personali_group" label="Trattamento dati personali" mandatory="true"></div>
  <div class="form-check indent-1">
    <input class="form-check-input" group="Consenso_trattamento_dati_personali_group" id="Consenso_trattamento_dati_personali" name="Consenso_trattamento_dati_personali" type="checkbox" value="SI"> 
    <label class="form-check-label" for="Consenso_trattamento_dati_personali"> dichiaro di aver preso visione dell'informativa relativa al trattamento dei dati personali pubblicata sul sito internet dell'Amministrazione destinataria, titolare del trattamento delle informazioni trasmesse all'atto della presentazione dell'istanza. </label> 
  </div>
</div>

<div class="space-1"></div>



<globo_fondo_pagina areaheight="150">
  <div type="firma">
    <div class="container border bg-light" name="Firme">
      <div class="form-row">
        <div class="form-group col-lg-4 firma-custom">
          <input class="form-control" style="text-align: center;" id="Luogo_PDF" name="Luogo_PDF"/>
          <label for="Luogo_PDF"> Luogo </label>
        </div>
        <div class="form-group col-lg-4 firma-custom">
          <input class="form-control" style="text-align: center;" id="Data_PDF" name="Data_PDF"/>
          <label for="Data_PDF"> Data </label>
        </div>
        <div class="form-group col-lg-4 firma-custom">
          <input class="form-control" style="text-align: center;" id="FirmaFake_PDF" name="FirmaFake_PDF"/>
          <label for="FirmaFake_PDF"> Il/La dichiarante </label>
        </div>
      </div>
    </div>
    <div name="oldFirme" style="display: none;pd4ml-display: none;">
      <input id="Luogo" name="Luogo"/> <input id="Data" name="Data"/><input id="FirmaFake" name="FirmaFake"/>
    </div>
  </div>
 
   

   
   
    </globo_fondo_pagina>

<div class="container">
  <button type="submit" class="btn btn-success btn-lg btn-block" id="SalvaModulo" name="SalvaModulo" title="Verifica la corretta compilazione dei campi e salva il modulo nel faldone virtuale dell'istanza."> Salva modulo </button>
</div>

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cIncarico_procura" name="GLOBO_modulofiglio_cIncarico_procura" type="hidden" value=""/>

<input id="GLOBO_allegato_cDAE-CDI" name="GLOBO_allegato_cDAE-CDI" obbligatorio="#DAE_CDI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden" />
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
